/*
Plugin Name: Post of template
Plugin URI:  http://wpdemo.dovi42.hu/post-of-template
Description: 
Version:     0.05
Author:      Dovi42
Author URI:  http://dovi42.hu/
License:     GPLv2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html
Text Domain: post-of-template
Generator:   WP Creator - http://wpcreator.hu - 2020-04-09 15:08:36
*/



jQuery(document).ready(function() {
    jQuery('#post-of-template-list').change(function(){
        var value = jQuery('#post-of-template-list').val();
        if (value != '') {
            jQuery('#template_ok_button').prop('disabled', false);
        } else {
            jQuery('#template_ok_button').prop('disabled', true);
        }
    });
});

function post_of_template_615_getSelectedHTML() {
    var post_slug = jQuery('#post-of-template-list').val();

    jQuery('#template-select-box').find('.dashicons-update').addClass('spin');
    jQuery('#template-select-box').find('.text').hide();
    jQuery('#template-select-box').find('.dashicons-update').show();

    var data = {
            action : 'post_of_template_615_get_template_content',
            slug   : post_slug,
            mode   : jQuery('input[name=template_mode]:checked').val() 
        };

    jQuery.ajax({
        url      : post_of_template_615_ajax_object.ajax_url,
        dataType : 'json',
        type     : 'POST',
        data     : data,
        success  : function(data, result){
            if (data.status == 1) {
                wp.media.editor.insert(data.html);
                // tb_remove();
                jQuery('#template-select-box').fadeOut();
                jQuery('#template-select-box').find('.dashicons-update').removeClass('spin');
                jQuery('#template-select-box').find('.text').show();
                jQuery('#template-select-box').find('.dashicons-update').hide();
                post_of_template_615_hideOverlay();
            } else {
                alert(res.message);
            }
        },
        error: function (request, status, error) {
            alert('AJAX error : ' + status);
        } 
    });

}


function post_of_template_615_show_select_box() {
    post_of_template_615_showOverlay();    
    
    var t = Math.floor((jQuery(window).height() - jQuery('#template-select-box').height()) / 2);
    var l = Math.floor((jQuery(window).width() - jQuery('#template-select-box').width()) / 2);
    jQuery('#template-select-box').css('top', t + 'px');
    jQuery('#template-select-box').css('left', l + 'px');
    jQuery('#template-select-box').css('z-index', '1002');
    jQuery('#template-select-box').fadeIn();
    jQuery('#post-of-template-list').focus();
    
}

function post_of_template_615_showOverlay() {
    var over = '<div id="overlay" class="template-box-overlay" style="z-index:1001;"></div>';
    jQuery('body').prepend(over);
    jQuery('#overlay').width( jQuery(window).width() );
    jQuery('#overlay').height( jQuery(window).height() );
    jQuery('#overlay').fadeIn(200);
}

function post_of_template_615_hideOverlay() {
    jQuery('#overlay').fadeOut(200);
    setTimeout(function() {
        jQuery('#overlay').remove();
    }, 250);    
}

function post_of_template_615_cancel_select() {
    jQuery('#template-select-box').fadeOut();
    post_of_template_615_hideOverlay();
}

